﻿using System;
using System.Windows.Forms;
using libplaza;

namespace testplaza {
	public partial class Form1 : Form {
		public Form1() => InitializeComponent();
		private Nightwave plaza=new Nightwave();

		private void BtLike_Click(object sender, EventArgs e) {

		}

		private void BtDislike_Click(object sender, EventArgs e) {

		}

		private async void BtRefresh_Click(object sender, EventArgs e) {
			Nightwave.Status now=await plaza.Broadcast();
			txInfo.ResetText();
			txInfo.AppendText($"Plaza is {plaza.Broadcasting}\n");
			if(plaza.Broadcasting == Nightwave.BroadcastStatus.OffAir)
				return;
			lbLikes.Text = now.Likes.ToString();
			lbDislikes.Text = now.Dislikes.ToString();
			txInfo.AppendText($"{now.Listeners} listeners\n");
			txInfo.AppendText($"Playing {now.Title}\n");
			txInfo.AppendText($"From album {now.Album}\n");
			txInfo.AppendText($"By {now.Artist}\n");
			txInfo.AppendText($"Song is {now.Duration}s long\n");
			txInfo.AppendText($"{now.Elapsed}s elapsed (calculated elapsed is {now.CalculatedElapsed}s)\n");
			pbAlbumArt.LoadAsync(now.ArtworkUri);
			txInfo.AppendText($"Album art is at:\n{now.ArtworkUri}\n");
		}
	}
}
